Debian Bug report logs - #539376
[aptitude] aptitude not installable

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Bastian Venthur <venthur@debian.org>

Date: Fri, 31 Jul 2009 08:57:01 UTC

Severity: grave

Found in version aptitude/0.4.11.11-1

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#539376; Package aptitude. (Fri, 31 Jul 2009 08:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Venthur <venthur@debian.org>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. (Fri, 31 Jul 2009 08:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Venthur <venthur@debian.org>
To: submit@bugs.debian.org
Subject: [aptitude] aptitude not installable
Date: Fri, 31 Jul 2009 10:55:56 +0200
Package: aptitude
Version: 0.4.11.11-1+b1
Severity: grave

--- Please enter the report below this line. ---
Hi,

looks like aptitude is currently not installable, since it depends on
libapt-pkg-libc6.9-6-4.7 which is not available.


Cheers,

Bastian


--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.30-1-686

Debian Release: squeeze/sid
  500 unstable        ftp.de.debian.org
  500 unstable        debian-multimedia.org
  500 stable          dl.google.com

--- Package information. ---
Depends                                (Version) | Installed
================================================-+-====================
libapt-pkg-libc6.9-6-4.7                         |
libc6                              (>= 2.3.6-6~) | 2.9-23
libcwidget3                                      | 0.5.12-4
libept0                           (>= 0.5.26+b1) | 0.5.26+b1
libgcc1                             (>= 1:4.1.1) | 1:4.4.1-1
libncursesw5                 (>= 5.6+20071006-3) | 5.7+20090613-1
libsigc++-2.0-0c2a                    (>= 2.0.2) | 2.0.18-2
libstdc++6                            (>= 4.2.1) | 4.4.1-1
libxapian15                                      | 1.0.14-1
zlib1g                              (>= 1:1.1.4) | 1:1.2.3.3.dfsg-14


Recommends                         (Version) | Installed
============================================-+-===========
aptitude-doc-en                              |
 OR aptitude-doc                             |
libparse-debianchangelog-perl                |


Suggests      (Version) | Installed
=======================-+-===========
tasksel                 | 2.79
debtags                 |





-- 
Bastian Venthur                                      http://venthur.de
Debian Developer                                 venthur at debian org





Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#539376; Package aptitude. (Fri, 31 Jul 2009 09:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aioanei Rares <debian.dev.list@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. (Fri, 31 Jul 2009 09:12:02 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Aioanei Rares <debian.dev.list@gmail.com>
To: Bastian Venthur <venthur@debian.org>, 539376@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#539376: [aptitude] aptitude not installable
Date: Fri, 31 Jul 2009 12:07:40 +0300
Bastian Venthur wrote:
> Package: aptitude
> Version: 0.4.11.11-1+b1
> Severity: grave
>
> --- Please enter the report below this line. ---
> Hi,
>
> looks like aptitude is currently not installable, since it depends on
> libapt-pkg-libc6.9-6-4.7 which is not available.
>
>
> Cheers,
>
> Bastian
>
>
> --- System information. ---
> Architecture: i386
> Kernel:       Linux 2.6.30-1-686
>
> Debian Release: squeeze/sid
>   500 unstable        ftp.de.debian.org
>   500 unstable        debian-multimedia.org
>   500 stable          dl.google.com
>
> --- Package information. ---
> Depends                                (Version) | Installed
> ================================================-+-====================
> libapt-pkg-libc6.9-6-4.7                         |
> libc6                              (>= 2.3.6-6~) | 2.9-23
> libcwidget3                                      | 0.5.12-4
> libept0                           (>= 0.5.26+b1) | 0.5.26+b1
> libgcc1                             (>= 1:4.1.1) | 1:4.4.1-1
> libncursesw5                 (>= 5.6+20071006-3) | 5.7+20090613-1
> libsigc++-2.0-0c2a                    (>= 2.0.2) | 2.0.18-2
> libstdc++6                            (>= 4.2.1) | 4.4.1-1
> libxapian15                                      | 1.0.14-1
> zlib1g                              (>= 1:1.1.4) | 1:1.2.3.3.dfsg-14
>
>
> Recommends                         (Version) | Installed
> ============================================-+-===========
> aptitude-doc-en                              |
>  OR aptitude-doc                             |
> libparse-debianchangelog-perl                |
>
>
> Suggests      (Version) | Installed
> =======================-+-===========
> tasksel                 | 2.79
> debtags                 |
>
>
>
>
>
>   
There are depsolving problems with aptitude in unstable for a while now.




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#539376; Package aptitude. (Fri, 31 Jul 2009 09:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aioanei Rares <debian.dev.list@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. (Fri, 31 Jul 2009 09:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#539376; Package aptitude. (Fri, 31 Jul 2009 10:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Cotton <steve0001@s.cotton.clara.co.uk>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. (Fri, 31 Jul 2009 10:00:08 GMT) Full text and rfc822 format available.

Message #20 received at 539376@bugs.debian.org (full text, mbox):

From: Steve Cotton <steve0001@s.cotton.clara.co.uk>
To: Bastian Venthur <venthur@debian.org>
Cc: 539376@bugs.debian.org
Subject: Re: [aptitude] aptitude not installable
Date: Fri, 31 Jul 2009 10:57:01 +0100
On Fri, Jul 31, 2009 at 10:55:56AM +0200, Bastian Venthur wrote:
> looks like aptitude is currently not installable, since it depends on
> libapt-pkg-libc6.9-6-4.7 which is not available.

There's a BinNMU request for all of apt's rdeps.
http://lists.debian.org/debian-release/2009/07/msg00359.html

Regards,
Steve




Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. (Sun, 02 Aug 2009 14:48:06 GMT) Full text and rfc822 format available.

Notification sent to Bastian Venthur <venthur@debian.org>:
Bug acknowledged by developer. (Sun, 02 Aug 2009 14:48:06 GMT) Full text and rfc822 format available.

Message #25 received at 539376-done@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 539376-done@bugs.debian.org
Subject: Re: [aptitude] aptitude not installable
Date: Sun, 2 Aug 2009 15:45:58 +0100
Closing, since this will be fixed in binNMU.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 31 Aug 2009 07:40:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:37:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.